Subject: [netmod] UML to YANG mapping

From: Scott Mansfield <[email-masked]>
Date: Mon, 6 Jul 2015 21:03:48 +0000

Hello Netmod!

https://tools.ietf.org/html/draft-mansfield-netmod-uml-to-yang-00 has been posted.  This draft is attempting to open a discussion on how best to translate from a UML model to a YANG model.  If you are interested in such things, please take a look at the content, but please pay particular attention to where the draft is missing content.  The authors would like to hear from experts on how to interpret the various UML artefacts in order to help provide guidelines on how to leverage UML as a part of a model-driven development lifecycle.

A note about the format of the draft.  I write using the "XML" template.  There are .jpeg image files that are included in some artwork tags.  I used the rfc2629xslt tool to translate to HTML and then to PDF (so that the image files are included).  I then submitted the TXT, XML, and PDF (there is no option upload the HTML in the submit tool).  So, the only version of the draft that shows the image files is the PDF (because the HTML file was generated from the TXT file).  I know this isn't the group to discuss how to get the formats to work out (I'll work on that), but I wanted the readers to know where to find the image files for this -00 draft.

Regards,
-scott.

Scott Mansfield
Ericsson Inc.
+1 724 931 9316